> ## Documentation Index
> Fetch the complete documentation index at: https://docs.varchev.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post payment payments status by transaction id



## OpenAPI

````yaml IPG post /payment/payments/status-by-transaction-id
openapi: 3.0.1
info:
  title: IPG
  description: Ipg
  version: 1.0.0
servers:
  - url: https://gateway.varchev.com/ipg
    description: Staging
security:
  - default: []
paths:
  /payment/payments/status-by-transaction-id:
    post:
      tags:
        - IpgPaymentApis
      parameters:
        - name: organizationId
          in: header
          required: true
          style: simple
          explode: false
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetPaymentByTransactionIdRequestDto'
          text/json:
            schema:
              $ref: '#/components/schemas/GetPaymentByTransactionIdRequestDto'
          application/*+json:
            schema:
              $ref: '#/components/schemas/GetPaymentByTransactionIdRequestDto'
      responses:
        '200':
          description: Success
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/GetPaymentStatusResponseDto'
            application/json:
              schema:
                $ref: '#/components/schemas/GetPaymentStatusResponseDto'
            text/json:
              schema:
                $ref: '#/components/schemas/GetPaymentStatusResponseDto'
      security:
        - default: []
components:
  schemas:
    GetPaymentByTransactionIdRequestDto:
      type: object
      properties:
        transactionId:
          type: string
          nullable: true
      additionalProperties: false
    GetPaymentStatusResponseDto:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/Data'
      additionalProperties: false
    Data:
      type: object
      properties:
        result:
          $ref: '#/components/schemas/Result'
        paymentId:
          type: string
          nullable: true
        timestamp:
          type: string
          nullable: true
        paymentBrand:
          type: string
          nullable: true
        paymentMode:
          type: string
          nullable: true
        firstName:
          type: string
          nullable: true
        lastName:
          type: string
          nullable: true
        amount:
          type: string
          nullable: true
        descriptor:
          type: string
          nullable: true
        currency:
          type: string
          nullable: true
        card:
          $ref: '#/components/schemas/Card'
        transactionStatus:
          type: string
          nullable: true
        merchantTransactionId:
          type: string
          nullable: true
        remark:
          type: string
          nullable: true
        status:
          $ref: '#/components/schemas/Status'
      additionalProperties: false
    Result:
      type: object
      properties:
        code:
          type: integer
          format: int32
        description:
          type: string
          nullable: true
      additionalProperties: false
    Card:
      type: object
      properties:
        bin:
          type: string
          nullable: true
        last4Digits:
          type: string
          nullable: true
        holder:
          type: string
          nullable: true
        expiryMonth:
          type: string
          nullable: true
        expiryYear:
          type: string
          nullable: true
      additionalProperties: false
    Status:
      type: object
      properties:
        detail:
          type: string
          nullable: true
      additionalProperties: false
  securitySchemes:
    default:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: https://test.com
          scopes: {}
          x-scopes-bindings:
            Redirect-URL: ''

````